Package tigase.component.modules.impl.config

## Class ConfiguratorCommand

- java.lang.Object
- - tigase.component.modules.impl.config.ConfiguratorCommand

- All Implemented Interfaces:
    `AdHocCommand`

      @Bean(name="BeanConfiguratorAdHocCommand",
            active=true)
      public class ConfiguratorCommand
      extends java.lang.Object
      implements AdHocCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected TypesConverter` | `defaultTypesConverter` |
    `protected java.util.logging.Logger` | `log` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfiguratorCommand()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(AdhHocRequest request, AdHocResponse response)` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getNode()` |
    `boolean` | `isAllowedFor​(JID jid)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.component.adhoc.AdHocCommand

      `execute, getGroup`

- - ### Field Detail

    - #### log

          protected final java.util.logging.Logger log

    - #### defaultTypesConverter

          @Inject(bean="defaultTypesConverter")
          protected TypesConverter defaultTypesConverter

  - ### Constructor Detail

    - #### ConfiguratorCommand

          public ConfiguratorCommand()

  - ### Method Detail

    - #### execute

          public void execute​(AdhHocRequest request,
                              AdHocResponse response)
                       throws AdHocCommandException

      Specified by:
        `execute` in interface `AdHocCommand`
      Throws:
        `AdHocCommandException`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `AdHocCommand`

    - #### getNode

          public java.lang.String getNode()

      Specified by:
        `getNode` in interface `AdHocCommand`

    - #### isAllowedFor

          public boolean isAllowedFor​(JID jid)

      Specified by:
        `isAllowedFor` in interface `AdHocCommand`